diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 966fbc6..35eb608 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -141949,7 +141949,7 @@ TableauxBumpers(S:OrderedSet):T==C where
                  then cons(rw.td, bumptab(cf,rw.sd,rest llls))
                  else cons(rw.td,rest llls))
 
-       bumptab1(x,llls)==bumptab(#1<#2,x,llls)
+       bumptab1(x,llls)==bumptab((s1,s2) +-> s1<s2, x, llls)
 
        rd==> reduce$StreamFunctions2(PAIR,L L PAIR)
        tab1(lls:(L PAIR))== rd([],bumptab1,lls::(ST PAIR))
@@ -141957,10 +141957,11 @@ TableauxBumpers(S:OrderedSet):T==C where
        srt==>sort$(PAIR)
        lexorder:(PAIR,PAIR)->B
        lexorder(p1,p2)==if p1.1=p2.1 then p1.2<p2.2 else p1.1<p2.1
-       lex lp==(sort$(L PAIR))(lexorder(#1,#2),lp)
-       slex ls==lex([[i,j] for i in srt(#1<#2,ls) for j in ls])
+       lex lp==(sort$(L PAIR))((s1,s2) +-> lexorder(s1,s2), lp)
+       slex ls==lex([[i,j] for i in srt((s1, s2) +-> s1<s2, ls) for j in ls])
        inverse ls==[lss.2 for lss in
-                    lex([[j,i] for i in srt(#1<#2,ls) for j in ls])]
+                    lex([[j,i] for i in srt((s1,s2) +-> s1<s2, ls) 
+                               for j in ls])]
 
        tab(ls:(PAIR))==(tableau tab1 slex ls )
 
@@ -141979,7 +141980,7 @@ TableauxBumpers(S:OrderedSet):T==C where
          if null llls
          then lp
          else (rc:RC:=mr llls;
-               rv:=reverse (bumptab(#2<#1,rc.f1,rc.f2));
+               rv:=reverse (bumptab((s1:S,s2:S):B +-> s2<s1, rc. f1, rc. f2));
                untab(cons(first first rv,lp)
                      ,append(rest rv,
                                          if null rc.f3
@@ -142272,7 +142273,9 @@ TaylorSolve(F, UTSF, UTSSUPF): Exports == Implementation where
 
 <<implementation: UTSSOL TaylorSolve>>=
         seriesSolve(f, l) ==
-            c1 := map(#1::(SUP F), l)$ListFunctions2(F, SUP F)::(Stream SUP F)
+            c1 := 
+             map((x:F):SUP F +-> x::(SUP F), l)
+                  $ListFunctions2(F, SUP F)::(Stream SUP F)
             coeffs: Stream SUP F := concat(c1, generate(monomial(1$F,1$NNI)))
 --            coeffs: Stream SUP F := concat(c1, monomial(1$F,1$NNI))
 @
diff --git a/changelog b/changelog
index 56542a2..f010ac2 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20090622 tpd src/axiom-website/patches.html 20090622.04.tpd.patch
+20090622 tpd books/bookvol10.4 UTSSOL +-> conversion
+20090622 tpd books/bookvol10.4 TABLBUMP +-> conversion
 20090622 tpd src/axiom-website/patches.html 20090622.03.tpd.patch
 20090622 tpd src/axiom-website/download.html add mandriva
 20090622 tpd src/axiom-website/patches.html 20090622.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a2d5fcd..522aad3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1639,7 +1639,9 @@ bookvol10.4 SUBRESP +-> conversion<br/>
 bookvol10.4 ODESYS +-> conversion<br/>
 <a href="patches/20090622.02.tpd.patch">20090622.02.tpd.patch</a>
 Makefile make xhtml pages in parallel<br/>
-<a href="patches/20090622.02.tpd.patch">20090622.03.tpd.patch</a>
+<a href="patches/20090622.03.tpd.patch">20090622.03.tpd.patch</a>
 src/axiom-website/download.html add mandriva<br/>
+<a href="patches/20090622.04.tpd.patch">20090622.04.tpd.patch</a>
+bookvol10.4 TABLBUMP, UTSSOL +-> conversion<br/>
  </body>
 </html>
